summaryrefslogtreecommitdiff
path: root/files/vim/pack/downloads
diff options
context:
space:
mode:
Diffstat (limited to 'files/vim/pack/downloads')
-rwxr-xr-xfiles/vim/pack/downloads/create_opt.sh38
1 files changed, 38 insertions, 0 deletions
diff --git a/files/vim/pack/downloads/create_opt.sh b/files/vim/pack/downloads/create_opt.sh
new file mode 100755
index 0000000..0029440
--- /dev/null
+++ b/files/vim/pack/downloads/create_opt.sh
@@ -0,0 +1,38 @@
+#! /usr/bin/env sh
+
+if [ ! -d "./opt" ]; then
+ echo "'opt' dir not found, create it here and re-run $0"
+ exit 1
+fi
+
+git clone --depth=1 https://github.com/tpope/vim-fugitive.git opt/vim-fugitive
+cd opt/vim-fugitive
+rm .git/hooks/*
+git apply ../../../../patches/vim_fugitive_tab_expand.diff
+cd ../..
+
+git clone --depth=1 https://github.com/itchyny/vim-gitbranch.git opt/vim-gitbranch
+cd opt/vim-gitbranch
+rm .git/hooks/*
+cd ../..
+
+git clone --depth=1 https://github.com/matcatc/vim-asciidoc-folding.git opt/vim-asciidoc-folding
+cd opt/vim-asciidoc-folding
+rm .git/hooks/*
+cd ../..
+
+git clone --depth=1 https://github.com/chrisbra/Colorizer.git opt/Colorizer
+cd opt/Colorizer
+rm .git/hooks/*
+cd ../..
+
+#git clone --depth=1 https://github.com/yegappan/lsp.git opt/lsp
+#cd opt/lsp
+#rm .git/hooks/*
+#cd ../..
+
+vim -u NONE -c "helptags opt/vim-fugitive/doc" -c q
+vim -u NONE -c "helptags opt/vim-gitbranch/doc" -c q
+vim -u NONE -c "helptags opt/vim-asciidoc-folding/doc" -c q
+vim -u NONE -c "helptags opt/Colorizer/doc" -c q
+#vim -u NONE -c "helptags opt/lsp/doc" -c q